<?php

/* On regarde si l'internaute nous a donné un nom. */
if (key_exists('nom', $_POST) && $_POST['nom'] !== '') {
	$nom = htmlspecialchars($_POST['nom']);
} else {
	$nom = "X";
}

/* On récupère la couleur donnée par l'internaute,
 * en prenant soin de vérifier qu'il y en a bien une */
$couleur = key_exists('couleur', $_POST) ? $_POST['couleur'] : '';

/* On utilise la valeur donnée pour changer la classe du body */
switch ($couleur) {
case 'rouge':
	$classe_body = 'prefrouge';
	break;
case 'vert':
	$classe_body = 'prefvert';
	break;
case 'bleu':
	$classe_body = 'prefbleu';
	break;
default:
	$classe_body = '';
	break;
}

/* On récupère le tableau de langues parlées par l'internaute,
 * en prenant soin de vérifier qu'il existe */
$langues = key_exists('langue', $_POST)? $_POST['langue']: array();

/* On part d'une salutation vide et on ajoute une salutation
 * par langue parlée */
$salutation = '';
foreach ($langues as $l) {
	switch ($l) {
	case "fr":
		$salutation .= "Bonjour, ".$nom." !\n";
		break;
	case "en":
		$salutation .= "Hello, ".$nom."!\n";
		break;
	case "de":
		$salutation .= "Guten Tag, ".$nom."!\n";
		break;
	default:
		/* L'internaute a envoyé une langue non prévue :
			* on ne fait rien */
		break;
	}
}
/* À présent on peut tester le contenu de $salutation :
 * si c'est vide, c'est soit que l'internaute n'avait sélectionné
 * aucune langue, soit qu'il n'y avait que des langues non prévues */
if ($salutation === '') {
	$salutation = "Vous n'avez sélectionné aucune langue, ".$nom.".";
}

?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<title>Page de récupération</title>
	<meta charset="UTF-8" />
	<style>
body { max-width: 50em; margin: auto; }
nav { text-align: center; }

/* Pour afficher la couleur préférée de l'utilisateur */
.prefrouge { color: white; background: darkred; }
.prefrouge a { color: goldenrod; }

.prefvert { background: palegreen; }
.prefvert a { color: olive; }

.prefbleu { background: lightskyblue; }
.prefbleu a { color: midnightblue; }
	</style>
</head>
<body class="<?php echo $classe_body; ?>">
<p><?php echo $salutation; ?></p>
</body>
